> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ebury.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve successfully created Beneficiaries

View all the created beneficiaries in a mass beneficiaries instruction.

<Warning>Please note that if the mass beneficiaries status is "pending" then an empty list will be returned.</Warning>


## OpenAPI

````yaml /openapi.json get /mass-beneficiaries/{mass_beneficiary_id}/beneficiaries
openapi: 3.0.0
info:
  description: |
    Ebury API allows customers:
      to retrieve accounts, balances, beneficiaries, and transactions;
      to get buy/sell estimates and quotes, book trades and retrieve trade history;
      to allocate payments to a trade and beneficiary, and to submit payments in bulk;
      to download documents such as trade receipt, payment instruction and payment receipt;
      to manage the authorised persons on their account.
    The Metadata API allows applications to clarify some parts of the Ebury API
      that are impractical to express schematically.
  termsOfService: https://docs.ebury.io/#terms-of-use
  title: Ebury API
  version: '0.1'
servers:
  - url: https://{environment}.ebury.io
    variables:
      environment:
        default: api
        enum:
          - api
          - sandbox
security:
  - api_key: []
paths:
  /mass-beneficiaries/{mass_beneficiary_id}/beneficiaries:
    get:
      tags:
        - Mass Beneficiaries
      summary: Retrieve successfully created Beneficiaries
      description: View all the created beneficiaries in a mass beneficiaries instruction
      parameters:
        - description: The unique ID of the mass beneficiary
          in: path
          name: mass_beneficiary_id
          required: true
          schema:
            type: string
        - description: The ID of the client
          in: query
          name: client_id
          required: true
          schema:
            type: string
        - name: Authorization
          in: header
          description: The access token
          required: true
          schema:
            type: string
        - description: The desired page number for pagination. By default is 1.
          in: query
          name: page
          required: false
          schema:
            type: integer
            format: int32
        - description: The number of items per page for pagination. By default is 50.
          in: query
          name: page-size
          required: false
          schema:
            type: integer
            format: int32
      responses:
        '200':
          description: List of successfully created beneficiaries
          headers:
            x-total-count:
              description: Total number of created beneficiaries available
              schema:
                type: integer
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetBeneficiaryCreatedResponse'
        '400':
          description: >-
            Formatting, parameter or schema validation error. See error message
            for further details
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorMessage'
        '401':
          description: Access denied due to authentication failure
        '404':
          description: Mass beneficiary ID not found
        '429':
          description: Too many requests
        '502':
          description: Internal integration error. Contact support
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorMessage'
components:
  schemas:
    GetBeneficiaryCreatedResponse:
      items:
        $ref: '#/components/schemas/BeneficiaryCreated'
      type: array
    ErrorMessage:
      description: An error message.
      properties:
        code:
          type: string
          description: The code for the error.
        details:
          description: Error details
          type: string
        message:
          type: string
          description: A short description of the cause of the error.
      required:
        - code
        - message
        - details
      type: object
    BeneficiaryCreated:
      description: A beneficiary created via the Mass Beneficiaries service.
      properties:
        request_index:
          description: >-
            The original position of the beneficiary on the submission file.
            Starts at 0
          type: number
        beneficiary_id:
          description: The ID of the created beneficiary
          type: string
        links:
          $ref: '#/components/schemas/LinksBeneficiaryCreated'
      type: object
    LinksBeneficiaryCreated:
      description: Links for the created beneficiary.
      properties:
        beneficiary_href:
          description: The link to the single beneficiary endpoint
          type: string
      type: object
  securitySchemes:
    api_key:
      description: An API Key.
      in: header
      name: x-api-key
      type: apiKey

````